%global _empty_manifest_terminate_build 0
Name:		python-celery
Version:	5.2.7
Release:	1
Summary:	Distributed Task Queue.
License:	BSD-3-Clause and CC-BY-SA-4.0
URL:		https://github.com/celery/celery
Source0:	https://files.pythonhosted.org/packages/ce/21/41a0028f6d610987c0839250357c1a00f351790b8a448c2eb323caa719ac/celery-5.2.7.tar.gz
BuildArch:	noarch

Requires:	python3-pytz
Requires:	python3-billiard
Requires:	python3-vine
Requires:	python3-click
Requires:	python3-click-didyoumean
Requires:	python3-click-repl
Requires:	python3-click-plugins
Requires:	python3-importlib-metadata
Requires:	python3-pyArango
Requires:	python3-cryptography
Requires:	python3-azure-storage-blob
Requires:	python3-brotli
Requires:	python3-brotlipy
Requires:	python3-cassandra-driver
Requires:	python3-consul2
Requires:	python3-pydocumentdb
Requires:	python3-couchbase
Requires:	python3-pycouchdb
Requires:	python3-Django
Requires:	python3-elasticsearch
Requires:	python3-eventlet
Requires:	python3-gevent
Requires:	python3-librabbitmq
Requires:	python3-pylibmc
Requires:	python3-pymongo[srv]
Requires:	python3-msgpack
Requires:	python3-memcached
Requires:	python3-pyro4
Requires:	python3-pytest-celery
Requires:	python3-redis
Requires:	python3-boto3
Requires:	python3-softlayer-messaging
Requires:	python3-ephem
Requires:	python3-sqlalchemy
Requires:	python3-kombu
Requires:	python3-tblib
Requires:	python3-PyYAML
Requires:	python3-kazoo
Requires:	python3-zstandard

%description
Distributed Task Queue.

%package -n python3-celery
Summary:	Distributed Task Queue.
Provides:	python-celery
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-celery
Distributed Task Queue.

%package help
Summary:	Development documents and examples for celery
Provides:	python3-celery-doc
%description help
Distributed Task Queue.

%prep
%autosetup -n celery-5.2.7

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-celery -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Sep 15 2022 liqiuyu <liqiuyu@kylinos.cn> - 5.2.7-1
- update to 5.2.7

* Tue May 10 2022 wulei <wulei80@h-partners.com> - 5.1.2-2
- License compliance rectification

* Sun Sep 26 2021 Python_Bot <Python_Bot@openeuler.org> - 5.1.2-1
- Package Init
